<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Customer;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\TypeAwareInterface;
use Sylius\Component\Core\Model\ChannelPricingInterface;
use Sylius\Component\Core\Model\CustomerInterface;

interface CustomerChannelPricingInterface extends ChannelPricingInterface, TypeAwareInterface
{
    public function getCustomer(): ?CustomerInterface;

    public function setCustomer(?CustomerInterface $customer = null): self;
}
