<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Factory;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Organization\OrganizationChannelPricing;
use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Organization\OrganizationChannelPricingInterface;

class OrganizationChannelPricingFactory implements OrganizationChannelPricingFactoryInterface
{
    public function createNew(): OrganizationChannelPricingInterface
    {
        return new OrganizationChannelPricing();
    }
}
