<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Repository;

use Dedi\SyliusCustomerPricingPlugin\Repository\ChannelPricingRepositoryInterface as DediSyliusCustomerPricingPluginChannelRepositoryInterface;
use Dedi\SyliusCustomerPricingPlugin\Repository\Trait\ChannelPricingRepositoryTrait;
use Doctrine\ORM\QueryBuilder;
use Sylius\Bundle\ResourceBundle\Doctrine\ORM\EntityRepository;
use Sylius\Component\Core\Model\ProductVariantInterface;

class ChannelPricingRepository extends EntityRepository implements DediSyliusCustomerPricingPluginChannelRepositoryInterface
{
    use ChannelPricingRepositoryTrait;

    public function createListQueryBuilder(string $alias = 'o'): QueryBuilder
    {
        return $this->createQueryBuilder($alias);
    }
}
